Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr.version
Interface Version

All Superinterfaces:
  Item, Node

      public interface Version

extends Node

A `Version` object wraps an `nt:version` node. It provides convenient access to version information.

Method Summary
`VersionHistory` `getContainingHistory()` Returns the `VersionHistory` that contains this `Version`.
`java.util.Calendar` `getCreated()` Returns the date this version was created.
`Version[]` `getPredecessors()` Returns the predecessor versions of this version.
`Version[]` `getSuccessors()` Returns the successor versions of this version.

Methods inherited from interface javax.jcr.Node

`addMixin, addNode, addNode, canAddMixin, cancelMerge, checkin, checkout, doneMerge, getBaseVersion, getCorrespondingNodePath, getDefinition, getIndex, getLock, getMixinNodeTypes, getNode, getNodes, getNodes, getPrimaryItem, getPrimaryNodeType, getProperties, getProperties, getProperty, getReferences, getUUID, getVersionHistory, hasNode, hasNodes, hasProperties, hasProperty, holdsLock, isCheckedOut, isLocked, isNodeType, lock, merge, orderBefore, removeMixin, restore, restore, restore, restoreByLabel, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, unlock, update`

Methods inherited from interface javax.jcr.Item
`accept, getAncestor, getDepth, getName, getParent, getPath, getSession, isModified, isNew, isNode, isSame, refresh, remove, save`

Method Detail

### getContainingHistory

    VersionHistory getContainingHistory()
                                        throws RepositoryException

  Returns the `VersionHistory` that contains this `Version`.
  Returns:
    the `VersionHistory` that contains this `Version`.
  Throws:
    `RepositoryException` - if an error occurs.

### getCreated

    java.util.Calendar getCreated()
                                  throws RepositoryException

  Returns the date this version was created. This corresponds to the value of the `jcr:created` property in the `nt:version` node that represents this version.
  Returns:
    a `Calendar` object
  Throws:
    `RepositoryException` - if an error occurs.

### getSuccessors

    Version[] getSuccessors()
                            throws RepositoryException

  Returns the successor versions of this version. This corresponds to returning all the `nt:version` nodes referenced by the `jcr:successors` multi-value property in the `nt:version` node that represents this version.
  Returns:
    a `Version` array.
  Throws:
    `RepositoryException` - if an error occurs.

### getPredecessors

    Version[] getPredecessors()
                              throws RepositoryException

  Returns the predecessor versions of this version. This corresponds to returning all the `nt:version` nodes whose `jcr:successors` property includes a reference to the `nt:version` node that represents this version.
  Returns:
    a `Version` array.
  Throws:
    `RepositoryException` - if an error occurs.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.